{% extends 'base.html' %}

{% block content %}

<h1>Songs</h1>

{% comment %} building as a grid {% endcomment %}
<div class="song-grid">
{% for song in song_list %}
    <div class="song-item">
        <div class="song-title">{{ song.name }}</div>
        <div class="song-artist">{{ song.artist }}</div>
        {% if song.album == None %}
        {% else %}
        <div>{{ song.album }}</div>
        {% endif %}
        <div><img src="{{ song.image }}" class="small-image"></div>
    </div>
{% endfor %}
</div>
{% endblock content %}
